% 
% Copyright (C) 2014 Luis de la Ossa, Jesús Martínez, Sara Sáez-Atiénzar, Joaquín Jordán.
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; either version 2
% of the License, or (at your option) any later version.
%  
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%  
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
%

% Fixes the parameters for the algorithms

%% Pixels over this value are considered interest objects.
params.lowerBackgroundThreshold = 8;

%% This threshold is used to segment accumulations of cells.
params.upperBackgroundThreshold = 15;

%% Regions above this threshold are considered as aggregations of proteins.
params.aggregationThreshold = 40;

%% Minimum size of a cell.
params.minCellSize = 200;

%% Minimum size of an accumulation of cells.
params.minCumSize = 15000;

%% Minimum size of a cell considered as ``small''
params.smallCellMaxSize = 4000;

%% Whether to ask the user for kind of object or not (usefull for automatic quantification).
params.askForClass = true;
